import { defineConfig } from '@umijs/max';

export default defineConfig({
  favicons: ['/assets/logo.jpg'],
  access: {},
  model: {},
  initialState: {},
  layout: false,
  qiankun: {
    master: {},
  },
  routes: [
    {
      name: 'intelligent-file-cabinet',
      path: '/intelligent-file-cabinet/*',
      microApp: 'intelligent-file-cabinet',
    },
    {
      name: 'algorithm-warehouse',
      path: '/algorithm-warehouse/*',
      microApp: 'algorithm-warehouse',
    },
    {
      name: 'smart-video-analysis',
      path: '/smart-video-analysis/*',
      microApp: 'smart-video-analysis',
    },
    {
      name: '物料库',
      path: '/communal-facilities-pages/*',
      microApp: 'communal-facilities-pages',
    },
  ],
  npmClient: 'pnpm',
});
